## ulatencyd 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(ulatency C)

INCLUDE(FindPkgConfig)
INCLUDE(FindGettext)
INCLUDE (CheckIncludeFiles)


option(CONFIG_PREFIX "config prefix" "/etc")
option(DEVELOP_MODE "build for development" FALSE)
option(DEVELOP_DBUS_SESSION "export to session dbus" FALSE)
option(LIBCGROUPS "add libcgroups support (BROKEN)" FALSE)
option(LUA_JIT "enable luajit support when available" FALSE)
option(ENABLE_DBUS "enable dbus" TRUE)

SET(INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})


if(LIBCGROUPS)
  pkg_check_modules(LIBCGROUP libcgroup OPTIONAL)
endif(LIBCGROUPS)

pkg_check_modules(GLIB2 glib-2.0 REQUIRED)

#pkg_check_modules(GMODULE gmodule-2.0 REQUIRED)
if(ENABLE_DBUS)
  pkg_check_modules(DBUS dbus-glib-1 REQUIRED)
  if(DBUS_FOUND)
    set(ENABLE_DBUS 1)
    pkg_check_modules(GTHREAD gthread-2.0 REQUIRED)
    pkg_check_modules(POLKIT polkit-gobject-1)
  endif(DBUS_FOUND)
endif(ENABLE_DBUS)

pkg_check_modules(GIO gio-2.0 REQUIRED)


# FIXME: libproc should export more symbols
# find libproc
#FIND_PATH(LIBPROC_INCLUDE_DIR readproc.h /usr/include/proc /usr/local/include/proc)

#FIND_LIBRARY(LIBPROC_LIBRARY NAMES proc PATH /usr/lib /usr/local/lib)

#IF (LIBPROC_INCLUDE_DIR AND LIBPROC_LIBRARY)
#   SET(LIBPROC_FOUND TRUE)
#ENDIF (LIBPROC_INCLUDE_DIR AND LIBPROC_LIBRARY)


#IF (NOT LIBPROC_FOUND)
#   MESSAGE(FATAL_ERROR "Could not find libproc")
#ENDIF (NOT LIBPROC_FOUND)

# use own libproc copy
SET(CONFIG_PREFIX "/etc" CACHE STRING
      "Config prefix"
      FORCE)
SET(SYSTEMD_DIR "/lib/systemd/system" CACHE STRING
      "systemd service file directory")

set(LIBPROC_INCLUDE_DIRS src)
#set(LIBPROC_LIBRARY src/proc/libproc.a)
if(DEVELOP_MODE)
  message("don't forget to copy conf/org.quamquam.ulatencyd.conf to /etc/dbus-1/system.d and reload dbus")
  SET(CONFIG_DIR "${CMAKE_CURRENT_BINARY_DIR}/conf")
else(DEVELOP_MODE)
  SET(CONFIG_DIR "${CONFIG_PREFIX}/ulatencyd")
endif(DEVELOP_MODE)



IF(LUA_JIT)
  pkg_check_modules(LUAJIT luajit)
ENDIF(LUA_JIT)


IF(NOT LUAJIT_FOUND)

  #find_package(lua51)
  INCLUDE(FindLua51)

  IF(NOT LUA51_FOUND)
    message(FATAL_ERROR "lua 5.1 not found")
  ENDIF(NOT LUA51_FOUND)

ENDIF(NOT LUAJIT_FOUND)
# config.h checks
#include(ConfigureChecks.cmake)
#MACRO(INSERT_INTO_MAP _TYPE _KEY _VALUE)
#  SET("SYS_${_TYPE}_${_KEY}" "${_VALUE}")
#ENDMACRO(INSERT_INTO_MAP)

#FIXME check this

CHECK_INCLUDE_FILES (locale.h HAVE_LOCALE_H)

if(GETTEXT_FOUND)
  set(ENABLE_NLS 1)
endif(GETTEXT_FOUND)

configure_file(src/config.h.tmpl ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)


include_directories (${CMAKE_CURRENT_BINARY_DIR}/src ${LIBCGROUP_INCLUDE_DIRS}
                     ${LIBPROC_INCLUDE_DIRS} ${GLIB2_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS}
                     ${GIO_INCLUDE_DIRS} ${POLKIT_INCLUDE_DIRS})

IF(LUA_JIT AND LUAJIT_FOUND)
  include_directories (${LUAJIT_INCLUDE_DIRS})
  set(MY_LUA_LIBRARIES ${LUAJIT_LIBRARIES})
ELSE(LUA_JIT AND LUAJIT_FOUND)
  include_directories (${LUA_INCLUDE_DIR})
  set(MY_LUA_LIBRARIES ${LUA_LIBRARIES})
ENDIF(LUA_JIT AND LUAJIT_FOUND)


if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
  set(ADD_COMPILE_FLAGS "-g -pg -Wall")
endif("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")

add_subdirectory(src/bc)
add_subdirectory(src/proc)
add_subdirectory(src)
add_subdirectory(modules)
add_subdirectory(tests)
add_subdirectory(docs)


#SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall")
#SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -pg -Wall")

#SET_TARGET_PROPERTIES(${PROJECT_NAME} PROPERTIES COMPILE_FLAGS  "-Wall")
SET_PROPERTY(GLOBAL APPEND PROPERTY CMAKE_C_FLAGS "-Wall -uiaeiaue")


# FIXME make distclean recrusive
set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS TRUE)

ADD_CUSTOM_TARGET (distclean @echo cleaning for source distribution)
SET(DISTCLEANED
 cmake.depends
 cmake.check_depends
 CMakeCache.txt
 cmake.check_cache
 *.cmake
 Makefile
 core core.*
 gmon.out
 *~
 GPATH
 GRTAGS
 GSYMS
 GTAGS
)

ADD_CUSTOM_COMMAND(
  DEPENDS src/distclean clean
  COMMENT "distribution clean"
  COMMAND rm
  ARGS    -Rf CMakeTmp ${DISTCLEANED}
  TARGET  distclean
)

install(FILES conf/ulatencyd.conf 
        DESTINATION ${CONFIG_PREFIX}/ulatencyd)
install(FILES conf/cgroups.conf 
        DESTINATION ${CONFIG_PREFIX}/ulatencyd)
install(FILES conf/simple.conf
        DESTINATION ${CONFIG_PREFIX}/ulatencyd)
install(DIRECTORY rules 
        DESTINATION ${CONFIG_PREFIX}/ulatencyd 
        FILES_MATCHING PATTERN "*.lua"
        PATTERN "test.lua" EXCLUDE)
install(DIRECTORY conf/simple.d
        DESTINATION ${CONFIG_PREFIX}/ulatencyd
        PATTERN "*~" EXCLUDE)
install(DIRECTORY conf/scheduler
        DESTINATION ${CONFIG_PREFIX}/ulatencyd
        PATTERN "*~" EXCLUDE)

# install client files
FILE(GLOB cl RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "client/ulatency*")
SET(client "${cl}" "${client}")
FILE(GLOB cl RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "client/run-*")
SET(client "${cl}" "${client}")

install(PROGRAMS ${client}
        DESTINATION bin)

if(NOT "${SYSTEMD_DIR}" STREQUAL "")
  install(FILES conf/ulatencyd.service
          DESTINATION ${SYSTEMD_DIR})
endif (NOT "${SYSTEMD_DIR}" STREQUAL "")

# FIXME how to find out where to put it ???
IF(DBUS_FOUND AND ENABLE_DBUS)
  install(FILES conf/org.quamquam.ulatencyd.conf
        DESTINATION /etc/dbus-1/system.d)
ENDIF(DBUS_FOUND AND ENABLE_DBUS)

if(POLKIT_FOUND)
  install(FILES conf/org.quamquam.ulatencyd.policy
          DESTINATION ${POLKIT_PREFIX}/share/polkit-1/actions)
endif(POLKIT_FOUND)


#install(TARGETS mySharedLib DESTINATION /some/full/path)

#
#
# add_custom_target(dist-clean 
#                      COMMAND rm -rf CMakeCache.txt CMakeFiles/ CTestTestfile.cmake cmake_install.cmake Makefile
#                      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

enable_testing()
set(CMAKE_CTEST_COMMAND "ctest -V")

add_test(lua_tests src/ulatencyd -r tests --rule-pattern test.lua -v -v -v)
# dbus dtd is outdated :-(
#add_test(dbus_config CONFIGURATIONS Debug 
#         COMMAND xmllint --loaddtd --valid conf/org.quamquam.ulatencyd.conf)

=== docs/CMakeLists.txt ===
FILE(GLOB man1 RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "*.1")

FILE(GLOB man8 RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "*.8")

install(FILES ${man1}
        DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)
install(FILES ${man8}
        DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man8)


FILE(GLOB docfiles RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "wiki/*.md")

MESSAGE(STATUS "Process file: ${docfiles}")

macro(CONVDOC SUFFIX TARGET_FORMAT TARGET_DIR)
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${TARGET_DIR}
      COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/${TARGET_DIR}
      )
  
  #FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/${TARGET_DIR})
  FOREACH(infileName ${docfiles})
      #MESSAGE(STATUS "Process file: ${infileName}")

      # Generate output file name
      STRING(REPLACE ".md" "${SUFFIX}" outfileName "${infileName}")
      STRING(REPLACE "wiki/" "" outfileName "${outfileName}")
      SET(outfile "${CMAKE_CURRENT_BINARY_DIR}/${TARGET_DIR}/${outfileName}")
      #MESSAGE(STATUS "Output file: ${outfile}")

      # Generate input file name
      SET(infile "${CMAKE_CURRENT_SOURCE_DIR}/${infileName}")

      # Custom command to do the processing
      ADD_CUSTOM_COMMAND(OUTPUT "${outfile}"
          COMMAND pandoc
          "${infile}" -o "${outfile}" -t ${TARGET_FORMAT}
          DEPENDS "${infile}" "${CMAKE_CURRENT_BINARY_DIR}/${TARGET_DIR}"  # depends on the 'processor'
          COMMENT "convent ${infile} => ${outfile}")

      # Finally remember the output file for dependencies
      SET(${TARGET_DIR}Files ${${TARGET_DIR}Files} "${outfile}")
  ENDFOREACH(infileName)
endmacro(CONVDOC)

CONVDOC(.html html html)
CONVDOC("" plain txt)
# Setup a target to drive the conversion
ADD_CUSTOM_TARGET(docs-html DEPENDS ${htmlFiles})
ADD_CUSTOM_TARGET(docs-txt DEPENDS ${txtFiles})


ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/api
    COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/api
    )
add_custom_target(docs-api
                  doxygen ${CMAKE_SOURCE_DIR}/docs/doxygen.conf
                  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
                  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/api)

install(DIRECTORY api
        DESTINATION doc/ulatencyd
        OPTIONAL)

install(DIRECTORY html
        DESTINATION doc/ulatencyd
        OPTIONAL)

install(DIRECTORY txt
        DESTINATION doc/ulatencyd
        OPTIONAL)

add_custom_target(docs)
add_dependencies(docs docs-txt docs-html docs-api)


# macro(CONVDOC GLOB SUFFIX TARGET_FORMAT)
#   file(GLOB DOCS RELATIVE wiki ${GLOB})
#   message(${DOCS})
#   file(MAKE_DIRECTORY ${TARGET_FORMAT})
#   foreach(cfile in DOCS)
#     message(string(REPLACE ".md" "${SUFFIX}"))
#     #set(ofile, string(REPLACE ".md" "${SUFFIX}"))
#     #execute_process(pandoc -o ${TARGET_FORMAT}/${ofile} -t {TARGET_FORMAT} -f markdown ${cfile})
#   endforeach(cfile in DOCS)
# endmacro(CONVDOC)
#
#
# add_custom_target(docs-html
#                   COMMAND )

=== modules/CMakeLists.txt ===
# some macros
macro(add_module LNAME)
  add_library(${LNAME} MODULE
              ${ARGV})
  set_target_properties(${LNAME} PROPERTIES PREFIX "")
  if(NOT "${LNAME}" STREQUAL "test")
    install(TARGETS ${LNAME} LIBRARY DESTINATION lib/ulatencyd/modules) 
  endif(NOT "${LNAME}" STREQUAL "test")
  SET_TARGET_PROPERTIES(${LNAME} PROPERTIES COMPILE_FLAGS "${ADD_COMPILE_FLAGS}")
endmacro(add_module)

add_module(simplerules simplerules.c)

pkg_check_modules(XCB xcb)
pkg_check_modules(XAU xau)
option(DEBUG_XWATCH "debug xwatch module" FALSE)

if(XCB_FOUND AND XAU_FOUND AND DBUS_FOUND AND ENABLE_DBUS)
  add_module(xwatch xwatch.c)
  include_directories(${XCB_INCLUDE_DIRS} ${XAU_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS})
  target_link_libraries (xwatch ${GLIB2_LIBRARIES} ${XCB_LIBRARIES} ${XAU_LIBRARIES} ${DBUS_LIBRARIES})
  if(DEBUG_XWATCH)
    SET_TARGET_PROPERTIES(xwatch PROPERTIES COMPILE_FLAGS "${ADD_COMPILE_FLAGS} -DDEBUG_XWATCH")
  endif(DEBUG_XWATCH)
else(XCB_FOUND AND XAU_FOUND AND DBUS_FOUND AND ENABLE_DBUS)
  message("xcb, xau or dbus headers missing. disable xwatch module")
endif(XCB_FOUND AND XAU_FOUND AND DBUS_FOUND AND ENABLE_DBUS)

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
#add_library(efence STATIC IMPORTED)
#set_property(TARGET efence PROPERTY
#               IMPORTED_LOCATION /usr/lib/libefence.a)

add_definitions(-DHAVE_INLINE)
#add_definitions(-DINSTALL_PREFIX=${CMAKE_INSTALL_PREFIX} -DCONFIG_PREFIX=${CONFIG_PREFIX})

#set_directory_properties(PROPERTIES COMPILE_DEFINITIONS_DEBUG BLUBB=1)
#set_directory_properties(PROPERTIES COMPILE_FLAGS "-pg -Wall")
#set_directory_properties(APPEND PROPERTY COMPILE_FLAGS -Wall)


IF(LIBCGROUPS)
  list(APPEND EXTRA_C "lua_cgroups.c")
ENDIF(LIBCGROUPS)

IF(DBUS_FOUND AND ENABLE_DBUS)
  list(APPEND EXTRA_C "dbus.c")
  IF(POLKIT_FOUND)
    list(APPEND EXTRA_C "polkit.c")
  ENDIF(POLKIT_FOUND)
ENDIF(DBUS_FOUND AND ENABLE_DBUS)

add_executable(ulatencyd core.c ulatencyd.c group.c sysinfo.c sysctl.c
               coreutils/readutmp.c coreutils/xalloc-die.c linux_netlink.c
               ${EXTRA_C} lua_binding.c tools.c)

target_link_libraries (ulatencyd proc lbc dl ${MY_LUA_LIBRARIES} 
                       ${LIBCGROUP_LIBRARIES} ${DBUS_LIBRARIES}
                       ${GLIB2_LIBRARIES} ${GIO_LIBRARIES} ${GTHREAD_LIBRARIES}
                       ${POLKIT_LIBRARIES})


SET_TARGET_PROPERTIES(ulatencyd PROPERTIES COMPILE_FLAGS "${ADD_COMPILE_FLAGS}")

configure_file(ulatencyd_cleanup.lua.tmpl ulatencyd_cleanup.lua)

install(TARGETS ulatencyd 
        RUNTIME DESTINATION sbin)
install(FILES core.lua
        DESTINATION lib/ulatencyd)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ulatencyd_cleanup.lua
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ 
                    GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
        DESTINATION lib/ulatencyd)

=== tests/CMakeLists.txt ===
add_executable(memleak memleak.c)
SET_TARGET_PROPERTIES(memleak PROPERTIES COMPILE_FLAGS "${ADD_COMPILE_FLAGS}")


add_executable(forkbomb forkbomb.c)
SET_TARGET_PROPERTIES(forkbomb PROPERTIES COMPILE_FLAGS "${ADD_COMPILE_FLAGS}")


if(XCB_FOUND AND XAU_FOUND AND DBUS_FOUND AND ENABLE_DBUS)
  # FIXME needs rework
  #add_executable(test_xwatch test_xwatch.c)
  include_directories(${XCB_INCLUDE_DIRS} ${XAU_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS})
  #target_link_libraries(test_xwatch ${GLIB2_LIBRARIES} ${XCB_LIBRARIES} 
  #                       ${XAU_LIBRARIES} ${DBUS_LIBRARIES})
  #SET_TARGET_PROPERTIES(test_xwatch PROPERTIES COMPILE_FLAGS "${ADD_COMPILE_FLAGS} -O0")
else(XCB_FOUND AND XAU_FOUND AND DBUS_FOUND AND ENABLE_DBUS)
  message("xcb, xau or dbus headers missing. disable xwatch module")
endif(XCB_FOUND AND XAU_FOUND AND DBUS_FOUND AND ENABLE_DBUS)

=== src/bc/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_SOURCE_DIR})
add_library(lbc STATIC
            number.c lbc.c)

=== src/proc/CMakeLists.txt ===
#-DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
add_definitions(-DVERSION=\"3\" -DSUBVERSION=\"2\" -DMINORVERSION=\"8\")
add_library(proc STATIC
            alloc.c  devname.c  escape.c  ksym.c  pwcache.c  readproc.c  sig.c  slab.c  smaps.c  sysinfo.c  version.c  whattime.c)

=== debian/changelog ===
ulatencyd (0.5.0-9) unstable; urgency=medium

  * QA upload
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Orphan the package
  * Fix vcs-field-not-canonical

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 07 Mar 2014 16:08:22 +0100

ulatencyd (0.5.0-8) unstable; urgency=low

  * Add 06_fix-proc-linux-version-check.patch (Closes: #680123)
  * Fix and update descriptions
    Thanks to Justin B Rye (Closes: #680628)
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Add Recommends for consolekit (Closes: #706500)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 02 May 2013 21:26:50 +0200

ulatencyd (0.5.0-7) unstable; urgency=low

  * Add 05_fix-lua-posix-access-calls.patch (Closes: #679564)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 30 Jun 2012 15:15:03 +0200

ulatencyd (0.5.0-6) unstable; urgency=low

  * Add 04_fix-minimum-blkio-weight.patch (Closes: #677150)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 14 Jun 2012 22:58:12 +0200

ulatencyd (0.5.0-5) unstable; urgency=low

  * Add Pre-Depends: ${misc:Pre-Depends} for dpkg-maintscript-helper
    (Closes: 659795)
  * One Depends per line
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3
  * Email change: Alessandro Ghedini -> ghedo@debian.org
  * Bump debhelper compat level to 9
    - Add 0003-fix-pretty_print_signals-insecure-printf.patch to fix FTBFS
      with hardening flags
  * ulatencyd Depends on lua-posix instead of liblua5.1-posix1 
    (which is now a transitional package)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 07 Apr 2012 18:27:58 +0200

ulatencyd (0.5.0-4) unstable; urgency=low

  * Sleep between stop and start during restart (Closes: #643582).
  * Rename DAEMON_OPTS -> DAEMON_ARGS in default config (Closes: #644467).
  * Disable memory+swap parameters (Closes: #644598).
  * Thanks to Ritesh Raj Sarraf (rrs) for all the bug reports.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 01 Nov 2011 16:47:41 +0100

ulatencyd (0.5.0-3) unstable; urgency=low

  * Make the memory resource controller optional (Closes: #632845).
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 06 Jul 2011 16:26:04 +0200

ulatencyd (0.5.0-2) unstable; urgency=low

  * Use dh_installdeb to move conffile.
  * Bump debhelper version in Build-Depends.
  * Depends on dbus (Closes: #623317).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 19 Apr 2011 22:03:56 +0200

ulatencyd (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Remove manpages (merged upstream).
  * Move conffile rules/scheduler_desktop.lua to scheduler/desktop.lua.
  * Update debian/copyright with lua2dox copyright.
  * Remove unused variable ${shlibs:Depends} for ulatency package.
  * Build-Depends on libpolkit-gobject-1-dev (needed by new release).
  * Build with libluajit-5.1-dev instead of liblua5.1-0-dev if installed.
  * Fix documentation installation.
  * Fix typo in logrotate config.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 05 Apr 2011 22:18:10 +0200

ulatencyd (0.4.10-1) unstable; urgency=low

  * Initial release (Closes: #610495).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sun, 13 Mar 2011 19:03:03 +0100

=== debian/control ===
Source: ulatencyd
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), cmake,
 libdbus-1-dev,
 liblua5.1-0-dev | libluajit-5.1-dev,
 libdbus-glib-1-dev,
 libpolkit-gobject-1-dev,
 libxcb1-dev,
 libxau-dev
Standards-Version: 3.9.5
Homepage: https://github.com/poelzi/ulatencyd
Vcs-Git: git://anonscm.debian.org/collab-maint/ulatencyd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ulatencyd.git

Package: ulatencyd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus, lua5.1 | lua, lua-posix
Recommends: consolekit
Description: scriptable latency regulator using cgroups (server)
 The userspace latency daemon controls how the Linux kernel spends its
 resources on the running processes. It uses dynamic cgroups to give the
 kernel hints on how to optimize process scheduling.
 .
 It is fully scriptable in Lua, to support writing custom rules and
 scheduler code.
 .
 The Linux scheduler does a pretty good job of sharing available resources
 out to all processes, but this may not be the best user experience on the
 desktop. ulatencyd monitors the system and categorizes the running processes
 into cgroups. Processes that run wild and slow down the system will be
 isolated.

Package: ulatency
Architecture: linux-any
Depends: ${misc:Depends}, ulatencyd (= ${binary:Version}), python, python-dbus
Suggests: python-qt4
Description: scriptable latency regulator using cgroups (client)
 The userspace latency daemon controls how the Linux kernel spends its
 resources on the running processes. It uses dynamic cgroups to give the
 kernel hints on how to optimize process scheduling.
 .
 This package provides a command-line/Qt4 client which can be used to tune
 and monitor ulatencyd.

=== debian/watch ===
version=3

http://githubredir.debian.net/github/poelzi/ulatencyd .*/([0-9\-\.]*).tar.gz
